%bcond_with check

%global goipath         github.com/go-debos/fakemachine
Version:                0.0.3

%gometa

%global common_description %{expand:
Creates a vm based on the currently running system.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Create and spawn VMs for building images with debos tool

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/surma/gocpio)
BuildRequires:  golang(github.com/klauspost/compress/zstd)
BuildRequires:  golang(github.com/ulikunitz/xz)
%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify)
BuildRequires:  qemu-kvm
%endif

%description
%{common_description}


%package -n     fakemachine
Summary:        %{summary}

%description -n fakemachine
%{common_description}


%gopkg


%prep
%goprep


%build
%gobuild -o %{gobuilddir}/bin/fakemachine %{goipath}/cmd/fakemachine


%install
%gopkginstall
install -Dpm 0755 %{gobuilddir}/bin/fakemachine %{buildroot}%{_bindir}/fakemachine


%if %{with check}
%check
%gocheck
%endif


%files -n fakemachine
%license LICENSE
%doc README.md
%{_bindir}/fakemachine


%gopkgfiles


%changelog
* Sat Nov 26 2022 gasinvein <gasinvein@gmail.com> - 0.0.3-1
- new version
